### Method

# Gimp Vector3 rotate_val

#### Declaration [src]

    GimpVector3
    gimp_vector3_rotate_val (
      GimpVector3 vector,
      gdouble alpha,
      gdouble beta,
      gdouble gamma
    )

#### Description [src]

Identical to `gimp_vector3_rotate()`, but the vectors are passed by value rather than by reference.

#### Parameters

`alpha` | `gdouble`
| The angle (in radian) of rotation around the Z axis.
`beta` | `gdouble`
| The angle (in radian) of rotation around the Y axis.
`gamma` | `gdouble`
| The angle (in radian) of rotation around the X axis.

#### Return value

Returns: | `GimpVector3`
| The rotated vector.